#ifndef _GGI_MISC_H
#define _GGI_MISC_H

#include <ggi/ggi.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

int ggiMiscInit(void);
int ggiMiscExit(void);

int ggiMiscAttach(ggi_visual_t vis);
int ggiMiscDetach(ggi_visual_t vis);

int ggiSetSplitline(ggi_visual_t vis,int y);

int ggiGetRayPos (ggi_visual_t vis,sint32 *x,sint32 *y);
int ggiWaitRayPos(ggi_visual_t vis,sint32 *x,sint32 *y);

#define GGI_RP_BORDER   (1<<27)
#define GGI_RP_BLANK    (1<<28)
#define GGI_RP_SYNC     (1<<29)
#define GGI_RP_DONTCARE (1<<30)

#ifdef __cplusplus
};
#endif /* __cplusplus */

#endif /* _GGI_MISC_H */
